Loading...
Searching...
No Matches
std::hash< gridfire::QSECacheKey > Struct Reference

`#include <engine_multiscale.h>`

## Public Member Functions

size_t | operator() (const gridfire::QSECacheKey &key) const noexcept
| Computes the hash of a QSECacheKey for use in `std::unordered_map`.

## Member Function Documentation

## operator()()

size_t std::hash< gridfire::QSECacheKey >::operator() | ( | const gridfire::QSECacheKey & | key | ) | const

inlinenoexcept

Computes the hash of a QSECacheKey for use in `std::unordered_map`.

Parameters

  key | The QSECacheKey to hash.

Returns
  The pre-computed hash value of the key.

The documentation for this struct was generated from the following file:

- src/include/gridfire/engine/views/engine_multiscale.h